Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-28347

Prohibit updates that cause documents to exceed the depth limit

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • Major - P3
    • Resolution: Fixed
    • None
    • 3.4.4, 3.5.5
    • Write Ops
    • None
    • Fully Compatible
    • ALL
    • v3.4
    • Query 2017-03-27, Query 2017-04-17

    Description

      In SERVER-26703, the server began to enforce the BSON depth limit for nested objects and arrays. In addition to rejecting commands that exceed the depth limit, the server should prohibit updates that cause a document to exceed the allowed depth limit.

      Attachments

        Activity

          People

            kyle.suarez@mongodb.com Kyle Suarez
            kyle.suarez@mongodb.com Kyle Suarez
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: